Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1698224 (pyqtwebengine) - Review Request: pyqtwebengine - Python bindings for QtWebEngine
Summary: Review Request: pyqtwebengine - Python bindings for QtWebEngine
Keywords:
Status: CLOSED RAWHIDE
Alias: pyqtwebengine
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews 1693696
TreeView+ depends on / blocked
 
Reported: 2019-04-09 20:22 UTC by Rex Dieter
Modified: 2019-04-11 19:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-11 19:55:30 UTC
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2019-04-09 20:22:55 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/pyqt/pyqtwebengine.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/pyqt/pyqtwebengine-5.12.1-1.fc28.src.rpm
Description: PyQtWebEngine is python bindings for QtWebEngine
Fedora Account System Username: rdieter

Comment 1 Miro Hrončok 2019-04-09 22:45:00 UTC
- PyQtWebEngine is python bindings for QtWebEngine -> PyQtWebEngine is Python bindings for QtWebEngine
- The source URL gives error 404
- Technically you should BR gcc-c++ and not assume it will be pulled by some devel package
- spec and SRPM differ in %sip_ver

I suggest using the new flags macros, also available on EPEL 6:

https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md
https://src.fedoraproject.org/rpms/epel-rpm-macros/blob/el6/f/macros.zzz-epel

%{?__global_ldflags} -> %{build_ldflags}
%{optflags} -> %{build_cflags} and %{build_cxxflags}

rpmlint considerable problems:
pyqtwebengine.src:17: E: buildarch-instead-of-exclusivearch-tag %{?qt5_qtwebengine_arches}
pyqtwebengine.src: W: invalid-url Source0: https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/PyQtWebEngine_gpl-5.12.1.tar.gz HTTP Error 404: Not Found

Comment 2 Rex Dieter 2019-04-10 15:21:32 UTC
Hrm, looks like upstream moved their URL recently (I did use 'spectool -g *.spec' to download the sources originally).

update on the way.

Comment 3 Rex Dieter 2019-04-10 15:22:55 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/pyqt/pyqtwebengine.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/pyqt/pyqtwebengine-5.12.1-2.fc30.src.rpm

%changelog
* Wed Apr 10 2019 Rex Dieter <rdieter@fedoraproject.org> - 5.12.1-2
- update Source0 URL
- use ExclusiveArch
- use %%build_cflags %%build_cxxflags %%build_ldflags
- BR: gcc-c++

Comment 4 Miro Hrončok 2019-04-10 15:55:51 UTC
Package Review
==============

Issues:

MUST:
- Add %license LICENSE

SHOULD:
- There is no %check
- Add %doc README

MAYBE:
- Should pyqtwebengine-devel require (python3-qt5-webengine or python2-qt5-webengine)?

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in Python directories.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v3)".
[!]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[-]: Package does not own files or directories owned by other packages.
     It does on purpose.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
     The binary package name remains the same.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     This is an ExclusiveArch package.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-qt5-webengine-5.12.1-2.fc31.x86_64.rpm
          pyqtwebengine-devel-5.12.1-2.fc31.noarch.rpm
          pyqtwebengine-doc-5.12.1-2.fc31.noarch.rpm
          pyqtwebengine-debugsource-5.12.1-2.fc31.x86_64.rpm
          pyqtwebengine-5.12.1-2.fc31.src.rpm
python3-qt5-webengine.x86_64: W: no-documentation
pyqtwebengine-devel.noarch: W: no-documentation
pyqtwebengine.src: W: name-repeated-in-summary C PyQtWebEngine
pyqtwebengine.src:72: W: setup-not-quiet
pyqtwebengine.src:82: W: macro-in-comment %{_target_platform}
pyqtwebengine.src:84: W: configure-without-libdir-spec
pyqtwebengine.src:98: W: macro-in-comment %{_target_platform}
pyqtwebengine.src:100: W: configure-without-libdir-spec
5 packages and 0 specfiles checked; 0 errors, 8 warnings.

Nothing serious. Consider escaping the macros and adding -q to the %setup.
Also, no README/LICENSE.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
pyqtwebengine-debugsource.x86_64: W: invalid-url URL: https://www.riverbankcomputing.com/software/pyqt/ <urlopen error [Errno -2] Name or service not known>
pyqtwebengine-devel.noarch: W: invalid-url URL: https://www.riverbankcomputing.com/software/pyqt/ <urlopen error [Errno -2] Name or service not known>
pyqtwebengine-devel.noarch: W: no-documentation
python3-qt5-webengine.x86_64: W: invalid-url URL: https://www.riverbankcomputing.com/software/pyqt/ <urlopen error [Errno -2] Name or service not known>
python3-qt5-webengine.x86_64: W: no-documentation
pyqtwebengine-doc.noarch: W: invalid-url URL: https://www.riverbankcomputing.com/software/pyqt/ <urlopen error [Errno -2] Name or service not known>
4 packages and 0 specfiles checked; 0 errors, 6 warnings.

No internet in my mock, the URL is fine now.



Unversioned so-files
--------------------
python3-qt5-webengine: /usr/lib64/python3.7/site-packages/PyQt5/QtWebEngine.so
python3-qt5-webengine: /usr/lib64/python3.7/site-packages/PyQt5/QtWebEngineCore.so
python3-qt5-webengine: /usr/lib64/python3.7/site-packages/PyQt5/QtWebEngineWidgets.so

OK for Python modules.


Source checksums
----------------
https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/5.12.1/PyQtWebEngine_gpl-5.12.1.tar.gz :
  CHECKSUM(SHA256) this package     : 860704672ea1b616e1347be1f347bc1c749e64ed378370863fe209e84e9bd473
  CHECKSUM(SHA256) upstream package : 860704672ea1b616e1347be1f347bc1c749e64ed378370863fe209e84e9bd473


Requires
--------
python3-qt5-webengine (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.12)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5WebEngine.so.5()(64bit)
    libQt5WebEngine.so.5(Qt_5)(64bit)
    libQt5WebEngineCore.so.5()(64bit)
    libQt5WebEngineCore.so.5(Qt_5)(64bit)
    libQt5WebEngineWidgets.so.5()(64bit)
    libQt5WebEngineWidgets.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    python3-qt5(x86-64)
    rtld(GNU_HASH)

pyqtwebengine-devel (rpmlib, GLIBC filtered):

pyqtwebengine-doc (rpmlib, GLIBC filtered):

pyqtwebengine-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-qt5-webengine:
    python3-qt5-webengine
    python3-qt5-webengine(x86-64)
    python3.7dist(pyqtwebengine)
    python3dist(pyqtwebengine)

pyqtwebengine-devel:
    pyqtwebengine-devel

pyqtwebengine-doc:
    pyqtwebengine-doc

pyqtwebengine-debugsource:
    pyqtwebengine-debugsource
    pyqtwebengine-debugsource(x86-64)



Generated by fedora-review 0.7.0 (fed5495) last change: 2019-03-17
Command line :try-fedora-review -b 1698224 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: Haskell, Java, PHP, Ruby, Ocaml, SugarActivity, R, Perl, fonts, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Rex Dieter 2019-04-10 20:39:57 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/pyqt/pyqtwebengine.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/pyqt/pyqtwebengine-5.12.1-3.fc30.src.rpm

%changelog
* Wed Apr 10 2019 Rex Dieter <rdieter@fedoraproject.org> - 5.12.1-3
- %%doc README
- %%license LICENSE
- -devel: Requires: sip
- use %%autosetup

Comment 6 Miro Hrončok 2019-04-10 21:49:00 UTC
-devel doesn't have LICENSE.

Consider this otherwise approved.

Comment 7 Gwyn Ciesla 2019-04-11 19:46:34 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/pyqtwebengine

Comment 8 Rex Dieter 2019-04-11 19:55:30 UTC
%changelog
* Thu Apr 11 2019 Rex Dieter <rdieter@fedoraproject.org> - 5.12.1-4
- -devel: %%license LICENSE


imported, and building for rawhide.


Note You need to log in before you can comment on or make changes to this bug.